<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='OS:ProcessParameters' id=''>
  <oberon-doc>
    <summary>This is a subset of the <samp>Process Parameters</samp> section of Python's <samp>os</samp> package.</summary>
    <p pad-after='yes' no-indent='yes'>This is a subset of the <samp>Process Parameters</samp> section of Python's <samp>os</samp> package.  If you want to add to this module, use the Python function signature where appropriate.</p>
  </oberon-doc>
  <import-decl name='Object' id='Object' export='no' module='Object'/>
  <import-decl name='Path' id='Path' export='no' module='OS:Path'/>
  <import-decl name='IO' id='IO' export='no' module='IO'/>
  <import-decl name='StdChannels' id='StdChannels' export='no' module='IO:StdChannels'/>
  <procedure name='GetCwd' id='GetCwd' export='yes'>
    <oberon-doc>
      <summary>Returns a string representing the current working directory.</summary>
      <p pad-after='yes' no-indent='yes'>Returns a string representing the current working directory.</p>
    </oberon-doc>
    <formal-parameters>
      <result-type>
        <type-name name='STRING' href='#STRING'/>
      </result-type>
      <exceptions>
        <type-name module='IO' name='Error' href='IO#Error'/>
      </exceptions>
    </formal-parameters>
  </procedure>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <module-ref name='IO'>
    <ref-target type='html' relative-uri='../IO.html'/>
  </module-ref>
</interface-description>
